Bug 46763 - New Port: kdiff3 0.92, A graphical frontend for diff (KDE=
Summary: New Port: kdiff3 0.92, A graphical frontend for diff (KDE=
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-01-04 19:30 UTC by Heiner
Modified: 2003-01-10 06:23 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiner 2003-01-04 19:30:02 UTC
KDiff3 is a program that

    * compares two or three text input files,
    * shows the differences line by line and character by character (!),
    * provides an automatic merge-facility and
    * an integrated editor for comfortable solving of merge-conflicts
    * and has an intuitive graphical user interface.

WWW: http://kdiff3.sourceforge.net/

Fix: 

port follows via email
Comment 1 Heiner 2003-01-04 19:35:45 UTC
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#=09kdiff3
#=09kdiff3/distinfo
#=09kdiff3/Makefile
#=09kdiff3/pkg-comment
#=09kdiff3/pkg-descr
#=09kdiff3/pkg-plist
#
echo c - kdiff3
mkdir -p kdiff3 > /dev/null 2>&1
echo x - kdiff3/distinfo
sed 's/^X//' >kdiff3/distinfo << 'END-of-kdiff3/distinfo'
XMD5 (kdiff3-0.92.tar.gz) =3D 2dfa39aecd7c801496eea5e4b315121b
END-of-kdiff3/distinfo
echo x - kdiff3/Makefile
sed 's/^X//' >kdiff3/Makefile << 'END-of-kdiff3/Makefile'
X# New ports collection makefile for:=09kdiff3
X# Date created:=09=092003/01/03
X# Whom:=09=09=09Heiner <h.eichmann@gmx.de>
X#
X# $FreeBSD$
X#
X
XPORTNAME=3D=09kdiff3
XPORTVERSION=3D=090.92
XCATEGORIES=3D=09textproc
XMASTER_SITES=3D=09${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=3D${PORTNAME}
X
XMAINTAINER=3D=09h.eichmann@gmx.de
X
XCONFIGURE_ARGS+=3D=09--program-transform-name=3Ds,^,,
X
XUSE_KDELIBS_VER=3D3
XGNU_CONFIGURE=3D=09yes
X
X.include <bsd.port.mk>
END-of-kdiff3/Makefile
echo x - kdiff3/pkg-comment
sed 's/^X//' >kdiff3/pkg-comment << 'END-of-kdiff3/pkg-comment'
XA graphical frontend for diff (KDE 3)
END-of-kdiff3/pkg-comment
echo x - kdiff3/pkg-descr
sed 's/^X//' >kdiff3/pkg-descr << 'END-of-kdiff3/pkg-descr'
XKDiff3 is a program that
X
X    * compares two or three text input files,
X    * shows the differences line by line and character by character (!),
X    * provides an automatic merge-facility and
X    * an integrated editor for comfortable solving of merge-conflicts
X    * and has an intuitive graphical user interface.
X
XWWW: http://kdiff3.sourceforge.net/
X
XHeiner
Xh.eichmann@gmx.de
END-of-kdiff3/pkg-descr
echo x - kdiff3/pkg-plist
sed 's/^X//' >kdiff3/pkg-plist << 'END-of-kdiff3/pkg-plist'
Xbin/kdiff3
Xshare/doc/HTML/en/kdiff3/index.html
Xshare/doc/HTML/en/kdiff3/triple_diff.png
Xshare/doc/HTML/en/kdiff3/screenshot_diff.png
Xshare/doc/HTML/en/kdiff3/screenshot_merge.png
Xshare/doc/HTML/en/kdiff3/background.png
Xshare/doc/HTML/en/kdiff3/white_space.png
Xshare/doc/HTML/en/kdiff3/letter_by_letter.png
Xshare/doc/HTML/en/kdiff3/open_dialog.png
Xshare/applnk/Applications/kdiff3.desktop
Xshare/icons/locolor/32x32/apps/kdiff3.png
Xshare/icons/locolor/16x16/apps/kdiff3.png
Xshare/icons/hicolor/32x32/apps/kdiff3.png
Xshare/icons/hicolor/16x16/apps/kdiff3.png
Xshare/apps/kdiff3/kdiff3ui.rc
X@dirrm share/doc/HTML/en/kdiff3
X@dirrm share/doc/HTML/en
X@dirrm share/doc/HTML
X@dirrm share/doc
X@dirrm share/applnk/Applications
X@dirrm share/applnk
X@dirrm share/icons/locolor/32x32/apps
X@dirrm share/icons/locolor/32x32
X@dirrm share/icons/locolor/16x16/apps
X@dirrm share/icons/locolor/16x16
X@dirrm share/icons/locolor
X@dirrm share/icons/hicolor/32x32/apps
X@dirrm share/icons/hicolor/32x32
X@dirrm share/icons/hicolor/16x16/apps
X@dirrm share/icons/hicolor/16x16
X@dirrm share/icons/hicolor
X@dirrm share/icons
X@dirrm share/apps/kdiff3
X@dirrm share/apps
X@dirrm share
END-of-kdiff3/pkg-plist
exit
Comment 2 Pete Fritchman freebsd_committer 2003-01-10 06:23:56 UTC
State Changed
From-To: open->closed

New port added, thanks.